// ALIGNER.cpp : Defines the entry point for the console application.
//
#include "Classe.hpp"

//---------------------------------------------------------------------------
// Main program
void main(int argc, char **argv)
{
	// Varibale global
	CSeqs Seqs(ALIGNER1);

	// Define the execution options
	Seqs.ALIGNEROptions(argc, argv);

	// Load the input file
	Seqs.LoadFasta();

	// Collect significant patterns
	Seqs.Significant();

	// Pairwise similarity measure
	Seqs.Similarity();

	// Regrouper les squences en sous-familles
	Seqs.Clustering();

	// Global alignment
	Seqs.Alignment();
}


